import { jsx } from "react/jsx-runtime";
import { Campfire as Campfire$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Campfire = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Campfire", ...props, children: /* @__PURE__ */ jsx(Campfire$1, { weight: variant }) });
  }
);
Campfire.displayName = "Campfire";
Object.assign(Campfire, { isGdsIcon: true });
export {
  Campfire
};
